Skip to content

VPC

[BETA] Configure VPC subnets and attach instances to them

Read more

create-subnet

[BETA] Create a Subnet

POST /vpc/{vpc-id}/subnet

Path parameters

NameInDescription
vpc-idpathMust be a valid UUID.

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
address-spacestringyesSubnet address space

Allowed values: private.
addressfamilystringyesSubnet address family

Allowed values: inet4.
namestringyesSubnet name

Min length: 1. Max length: 255.
descriptionstringnoSubnet description

Max length: 4096.
ipv4-blockstringnoSubnet ipv4 CIDR
labelsobjectnoResource labels
Example
{
  "address-space": "private",
  "addressfamily": "inet4",
  "description": "string",
  "ipv4-block": "string",
  "labels": {},
  "name": "string"
}

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for create-subnet: golang | Python | Java

CLI: exo api create-subnet

get-subnet

[BETA] Retrieve Subnet details

GET /vpc/{vpc-id}/subnet/{id}

Path parameters

NameInDescription
vpc-idpathMust be a valid UUID.
idpathMust be a valid UUID.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
address-spacestringSubnet address space

Allowed values: private.
addressfamilystringSubnet address family

Allowed values: inet4, dual.
created-atstringSubnet creation date

ISO 8601 date-time.
descriptionstringSubnet description

Max length: 4096.
idstringSubnet ID

Must be a valid UUID.
instancesarray of InstancesInstances attached to the subnet
ipv4-blockstringSubnet ipv4 CIDR
labelsobjectResource labels
namestringSubnet name

Min length: 1. Max length: 255.
Example output
{
  "address-space": "private",
  "addressfamily": "inet4",
  "created-at": "2024-01-01T12:00:00Z",
  "description": "string",
  "id": "string",
  "instances": [
    {
      "id": "string",
      "ipv4": "string",
      "name": "string"
    }
  ],
  "ipv4-block": "string",
  "labels": {},
  "name": "string"
}

SDK reference for get-subnet: golang | Python | Java

CLI: exo api get-subnet

update-subnet

[BETA] Update a Subnet

PUT /vpc/{vpc-id}/subnet/{id}

Path parameters

NameInDescription
vpc-idpathMust be a valid UUID.
idpathMust be a valid UUID.

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
descriptionstringnoSubnet description

Max length: 4096.
labelsobjectnoResource labels
namestringnoSubnet name

Min length: 1. Max length: 255.
Example
{
  "description": "string",
  "labels": {},
  "name": "string"
}

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
address-spacestringSubnet address space

Allowed values: private.
addressfamilystringSubnet address family

Allowed values: inet4, dual.
created-atstringSubnet creation date

ISO 8601 date-time.
descriptionstringSubnet description

Max length: 4096.
idstringSubnet ID

Must be a valid UUID.
instancesarray of InstancesInstances attached to the subnet
ipv4-blockstringSubnet ipv4 CIDR
labelsobjectResource labels
namestringSubnet name

Min length: 1. Max length: 255.
Example output
{
  "address-space": "private",
  "addressfamily": "inet4",
  "created-at": "2024-01-01T12:00:00Z",
  "description": "string",
  "id": "string",
  "instances": [
    {
      "id": "string",
      "ipv4": "string",
      "name": "string"
    }
  ],
  "ipv4-block": "string",
  "labels": {},
  "name": "string"
}

SDK reference for update-subnet: golang | Python | Java

CLI: exo api update-subnet

delete-subnet

[BETA] Delete a Subnet

DELETE /vpc/{vpc-id}/subnet/{id}

Path parameters

NameInDescription
vpc-idpathMust be a valid UUID.
idpathMust be a valid UUID.

Responses

Status: 200 - 200

Content-Type: application/json

Example output
{}

SDK reference for delete-subnet: golang | Python | Java

CLI: exo api delete-subnet


Other Operations

detach-instance-from-subnet

[BETA] Detach a Compute instance from a Subnet

PUT /vpc/{vpc-id}/subnet/{subnet-id}/detach

Path parameters

NameInDescription
vpc-idpathMust be a valid UUID.
subnet-idpathMust be a valid UUID.

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
instanceTarget InstanceyesCompute instance
Example
{
  "instance": {
    "id": "string"
  }
}

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for detach-instance-from-subnet: golang | Python | Java

CLI: exo api detach-instance-from-subnet

attach-instance-to-subnet

[BETA] Attach a Compute instance to a Subnet

PUT /vpc/{vpc-id}/subnet/{subnet-id}/attach

Path parameters

NameInDescription
vpc-idpathMust be a valid UUID.
subnet-idpathMust be a valid UUID.

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
instanceTarget InstanceyesCompute instance
ipv4stringnoInstance IPv4

Must be a valid IPv4 address.
Example
{
  "instance": {
    "id": "string"
  },
  "ipv4": "string"
}

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for attach-instance-to-subnet: golang | Python | Java

CLI: exo api attach-instance-to-subnet

list-subnets

[BETA] List Subnets

GET /vpc/{vpc-id}/subnet

Path parameters

NameInDescription
vpc-idpathMust be a valid UUID.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
subnetsarray of Subnet
Example output
{
  "subnets": [
    {
      "address-space": "private",
      "addressfamily": "inet4",
      "created-at": "2024-01-01T12:00:00Z",
      "description": "string",
      "id": "string",
      "ipv4-block": "string",
      "labels": {},
      "name": "string"
    }
  ]
}

SDK reference for list-subnets: golang | Python | Java

CLI: exo api list-subnets

Last updated on